<script type="text/javascript">
	$(document).ready(function(){
		
	$("#mulai").focus();
	
	$('#mulai').click(function(){
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tglaw").val(data.tanggal);
				$("#txt_tglak").val(data.tanggal);
				$("#txt_tanggal").focus();
			}
		});
	}
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namapl').keyup(function(){
		cari_nomor();
		$('#form_cari_plg').dialog('open');
	});
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				$("#txt_cariplg").focus();
			}
		});
	}
	
	$("#txt_cariplg").keyup(function(){
		var cari= $("#txt_cariplg").val();
		
		var no=1;
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/tampil_data_plg.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_plg").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_plg").html(data);
			}
		});
	});
	
	$("#cari_piut").click(function(){
		var kode  	= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var kodepl	= $("#txt_kodepl").val();
		var namapl  = $("#txt_namapl").val();		
		var tglaw 	= $("#txt_tglaw").val();
		var tglak 	= $("#txt_tglak").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/rekam_data_tmp.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+
				"&kodepl="+kodepl+
				"&namapl="+namapl+
				"&tglaw="+tglaw+
				"&tglak="+tglak,
			dataType: "json",
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$("#txt_tbayar").val(data.tbayar)
				tampil_detail();
			}
		});
	});
	
	function tampil_detail(){
		$("#data_detail").show();
		$("#data_detail").load("modul/pener_piut/tampil_data_tmp.php?");
	}
	
	$('#form_cari_batal').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$("#txt_nofak").keyup(function(){
		$('#form_cari_batal').dialog('open');
		var cari='';
		
		var no=1;
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/tampil_batal_tmp.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_batal").html("<img src='loading.gif' />");
			},				 
			success	: function(data){
				$("#info_batal").html(data);
			}
		});
	});
	
	$("#txt_nofak").click(function(){
		$('#form_cari_batal').dialog('open');
		var cari='';
				
		var no=1;
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/tampil_batal_tmp.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_batal").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_batal").html(data);
			}
		});
	});

	$("#txt_dibayar").keyup(function(){
		var jmlpiut	= $("#txt_jmlpiut").val();
		var dibayar = $("#txt_dibayar").val();
		var jpiut	= parseInt(jmlpiut);
		var jbayar	= parseInt(dibayar);
		var jsisa	= jpiut-jbayar;
		
		if(jbayar>jpiut){
			alert('Maaf, jumlah dibayar tidak boleh melebihi nominal.');
			return(false);
		}
		$("#txt_sisa").val(jsisa);
	});
	
	$("#simpan").click(function(){
		simpan_tmp();
	});
			
	function simpan_tmp(){
		var kode	= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var kodepl  = $("#txt_kodepl").val();		
		var namapl  = $("#txt_namapl").val();
		var tglaw 	= $("#txt_tglaw").val();
		var tglak  	= $("#txt_tglak").val();
		var nofak  	= $("#txt_nofak").val();
		var tglfak 	= $("#txt_tglfak").val();
		var nopol  	= $("#txt_nopol").val();
		var jmlliter= $("#txt_jmlliter").val();
		var jmlpiut	= $("#txt_jmlpiut").val();
		var dibayar	= $("#txt_dibayar").val();
		var sisa  	= $("#txt_sisa").val();
		
		var error = false;

		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal penerimaan tidak boleh kosong.");
		   return (false);
        }
		
		if(kodepl.length == 0){
			var error = true;
			alert("Maaf, Kolom pelanggan harus diisi.");
			$("#txt_namapl").focus();
			return (false);
        }
		
		if(nofak.length == 0){
           alert("Maaf, Kolom nomor faktur masih kosong. Kolom ini untuk memanggil data yang sudah dihapus.");
		   $("#txt_nofak").focus();
		   return (false);
        }
		
		if(dibayar.length == 0){
			alert("Maaf, Kolom dibayar harus diiisi.");
			$("#txt_dibayar").focus();
			return (false);
        }
		 
		if(error == false){
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&kodepl="+kodepl+
					"&namapl="+namapl+
					"&tglaw="+tglaw+
					"&tglak="+tglak+
					"&nofak="+nofak+
					"&tglfak="+tglfak+
					"&nopol="+nopol+
					"&jmlliter="+jmlliter+
					"&jmlpiut="+jmlpiut+
					"&dibayar="+dibayar+
					"&sisa="+sisa,
			dataType: "json",
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_tbayar").val(data.tbayar);
				$("#txt_nofak").focus();
				tampil_detail();				
			}
		});
		}
	}
	
	$("#simpan_ppi").click(function(){
		rekam_ppi();
	});
	
	function rekam_ppi(){
		var kode	= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var kodepl  = $("#txt_kodepl").val();		
		var namapl  = $("#txt_namapl").val();
		var tglaw 	= $("#txt_tglaw").val();
		var tglak  	= $("#txt_tglak").val();
		var tbayar 	= $("#txt_tbayar").val();
		
		var error = false;
		
		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal penerimaan tidak boleh kosong.");
		   return (false);
        }
		
		if(kodepl.length == 0){
			var error = true;
			alert("Maaf, Kolom pelanggan harus diisi.");
			$("#txt_namapl").focus();
			return (false);
        }
		
		if(tbayar.length == 0){
           alert("Maaf, Data pembayaran masih kosong. Tentukan tanggal jual, lalu klik Cari data.");
		   $("#txt_tglaw").focus();
		   return (false);
        }
		 
		if(error == false){
			$.ajax({
				type	: "POST",
				url	    : "modul/pener_piut/simpan_ppi.php",
				data    : "kode="+kode+
					"&tanggal="+tanggal+
					"&kodepl="+kodepl+
					"&namapl="+namapl+
					"&tglaw="+tglaw+
					"&tglak="+tglak+
					"&tbayar="+tbayar,
				timeout	: 2000,
				beforeSend	: function(){
					$("#info").html("<img src='loading.gif' />");
				},				  
				success	: function(data){
					$("#info").html(data);
					$(".input_header").val('');
					$("#data_detail").hide();
				}
			});
		}
	}
	
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
echo "<table width='100%'>	
	<tr>
		<td width='9%'>Kode PPI</td>
		<td>: <input type='text' name='txt_kode' id='txt_kode' size='12' class='input_header' readonly /></td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal'></td>
		<td>Pelanggan : <input type='text' name='txt_namapl' id='txt_namapl' size='25' class='input_header'>
			<input type='text' name='txt_kodepl' id='txt_kodepl' size='4' class='input_header' readonly />
		</td>
		<td>Tanggal Jual : <input type='date' name='txt_tglaw' id='txt_tglaw'> s/d <input type='date' name='txt_tglak' id='txt_tglak'></td>
	</tr>
	</table>
	<table width='100%'>
	<tr>
		<td width='9%'>Total Dibayar</td>
		<td>: <input type='text' name='txt_tbayar' id='txt_tbayar' size='12' class='input_header' readonly /></td>
		<td align='right'><button name='cari_piut' id='cari_piut'>Cari Data</button></td>
	</tr>
	</table>
	<hr>";

echo "<table>
		<tr>
			<th>No. Faktur</th>
			<th>Tanggal</th>
			<th>No. Polisi</th>
			<th>Jml.Liter</th>
			<th>Nominal</th>
			<th>Dibayar</th>
			<th>Sisa</th>
		</tr>		
		<tr>
			<td align='center'><input type='text' name='txt_nofak' id='txt_nofak' class='input_detail' size='12'></td>
			<td align='center'><input type='date' name='txt_tglfak' id='txt_tglfak' class='input_detail' readonly /></td>
			<td align='center'><input type='text' name='txt_nopol' id='txt_nopol' class='input_detail' size='12' ></td>
			<td align='center'><input type='text' name='txt_jmlliter' id='txt_jmlliter' class='input_detail' size='9' readonly /></td>
			<td align='center'><input type='text' name='txt_jmlpiut' id='txt_jmlpiut' class='input_detail' size='12' readonly /></td>
			<td align='center'><input type='text' name='txt_dibayar' id='txt_dibayar' class='input_bayar' size='12'></td>
			<td align='center'><input type='text' name='txt_sisa' id='txt_sisa' class='input_detail' size='12' ></td>
			<td>
				<button name='simpan' id='simpan'>Rekam</button>
			</td>
		</tr>
	</table>";

echo "<table align='center'>
		<tr>
			<td>
				<button name='simpan_ppi' id='simpan_ppi'>Rekam Penerimaan</button>
				<button name='mulai' id='mulai'>Input</button>
				<button name='tutup' id='tutup'>Tutup</button>
			</td>
		</tr>
	</table>";

echo "<div id='data_detail'></div>";

echo "<div id='form_cari_plg' title='Pencarian Data Pelanggan'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Pelanggan</td>
				<td width='1%'>:</td>
				<td><input type='text' name='txt_cariplg' id='txt_cariplg' size='40'</td>
			</tr>
		</table>
		<div id='info_plg' align='center'></div>
	</div>";
	
echo "<div id='form_cari_batal' title='Pencarian Data Piutang'>		
		<div id='info_batal' align='center'></div>
	</div>";
?>
